import { all } from 'redux-saga/effects';

import { PostsSaga } from './posts';
import { CategoriesSaga } from './categories';
import { PagesSaga } from './pages';
import { CommentsSaga } from './comments';
import { UsersSaga } from './users';


export default function* rootSaga() {
  yield all([
    PostsSaga(),
    CategoriesSaga(),
    PagesSaga(),
    CommentsSaga(),
    UsersSaga(),
  ]);
}
