import { httpGet, httpPost } from '../utils';


export function getForPost(id) {
  return httpGet(`comments`, { post: id, }, true)
    .then(response => ({content: response.body, total: Number.parseInt(response.headers['x-wp-total'])}));
}


/* POST *
 *------*/

export function create(content, post, parent = 0, email, name, url) {
  return httpPost(`comments`, {
    author_email: email,
    author_name: name,
    author_url: url,
    post,
    parent,
  }, {content});
}
