import { httpGet } from '../utils';


export function getList(page = 1, amount = 5) {
  return httpGet(`pages`, { context: 'embed', page, per_page: amount }, true)
    .then(response => ({content: response.body, total: Number.parseInt(response.headers['x-wp-total'])}));
}


export function getDetail(id) {
  return httpGet(`pages/${id}`);
}
