import { httpGet } from '../utils';


export function getList(category, tag, author, page = 1, amount = 5) {
  return httpGet(`posts`, { categories: category, tags: tag, author,
    context: 'embed', page, per_page: amount }, true)
    .then(response => ({content: response.body, total: Number.parseInt(response.headers['x-wp-total'])}));
}

export function getDetail(id) {
  return httpGet(`posts/${id}`);
}
