import { combineReducers } from 'redux';

import { PostsReducer as posts } from './posts';
import { CategoriesReducer as categories } from './categories';
import { PagesReducer as pages } from './pages';
import { CommentsReducer as comments } from './comments';
import { UsersReducer as users } from './users';


export default combineReducers({
  posts,
  categories,
  pages,
  comments,
  users,
});
